Subject: Re: [RFC PATCH net-next 02/12] selftests: forwarding: Add a test for FDB learning

From: Jiri Pirko <[email-masked]>
Date: Thu, 18 Jan 2018 00:31:24 +0100

Wed, Jan 17, 2018 at 11:59:10PM CET, [email-masked] wrote:
>On Wed, Jan 17, 2018 at 2:46 PM, Roopa Prabhu <[email-masked]> wrote:
>> On Wed, Jan 17, 2018 at 1:01 PM, Jiri Pirko <[email-masked]> wrote:
>>> Wed, Jan 17, 2018 at 09:48:54PM CET, [email-masked] wrote:
>>>>On 1/15/18 11:18 AM, Ido Schimmel wrote:
>>>>> diff --git a/tools/testing/selftests/forwarding/lib.sh b/tools/testing/selftests/forwarding/lib.sh
>>>>> index bb423371f4de..264bf0af4c4d 100644
>>>>> --- a/tools/testing/selftests/forwarding/lib.sh
>>>>> +++ b/tools/testing/selftests/forwarding/lib.sh
>>>>> @@ -22,6 +22,11 @@ if [[ ! -x "$(command -v jq)" ]]; then
>>>>>      exit 0
>>>>>  fi
>>>>>
>>>>> +if [[ ! -x "$(command -v mausezahn)" ]]; then
>>>>> +    echo "SKIP: mausezahn not installed"
>>>>> +    exit 0
>>>>> +fi
>>>>> +
>>>>
>>>>The checks are good, but hitting a collision with this one:
>>>>$   ./router.sh
>>>>SKIP: mausezahn not installed
>>>>
>>>>For debian, it is mz not mausezahn.
>>>
>>> That is weird. If you look at the sources, the binary name is
>>> "mausezahn". Looks like debian is doing some renaming :/
>>>
>>
>> I have seen/used both versions. Debian packages from some old upstream
>> source which calls it mz.
>> https://packages.debian.org/sid/main/mz
>>
>> I have used latest mz (with ipv6 support etc) from netsniff-ng which
>> builds it as mausezahn.
>
>
>actually Debian also builds
>https://packages.debian.org/sid/netsniff-ng and installs 'mausezahn'
>
>so you might have to check and use which exists... (mausezahn overriding mz).

I believe we can stick with mausezahn, since it is apparently
available on Debian too.